<div class="ui modal modal-login" id="modal_login">
    <i class="close icon"></i>

    <div class="content padding-zero">
        <div class="ui grid stackable">
            <div class="seven wide column center aligned" style="padding: 2rem;">
                <img src="@{'public/images/logo-monev.svg'}" class="ui tiny image centered" alt="">
                <div class="title-login">Login</div>
                <form id="form_loginku" class="ui form form_loginku" enctype="multipart/form-data">
                #{authenticityToken /}
                    <div class="alert alert-danger alert-modal hidden ui red message"
                         style="padding-bottom: 10px;"></div>
                    <div class="ui aligned category search #{errorClass 'email'/}">
                        <div class="ui left icon input input-login">
                            <input class="prompt wrapper-input-login radius-unset user" type="email" name="email"
                                   placeholder="Email" style="padding-left:65px !important;">
                            <i class="user large icon"></i>
                            <span class="help-block">#{error 'email' /}</span>
                        </div>
                        <div class="error-email-login"></div>
                    </div>
                    <div class="ui divider hidden"></div>
                    <div class="ui aligned category search auth-credential-pass-input #{errorClass 'password'/}">
                        <div class="ui left icon input input-login">
                            <input class="prompt wrapper-input-login radius-unset pass" type="password" name="password"
                                   placeholder="Password"
                                   style="padding-left:65px !important;padding-right: 2em !important;">
                            <i class="lock large icon"></i>
                            <div class="ui right" style="position: absolute;height: 100%;right: 0px;
                                    display: flex;align-items: center;">
                                <i class="password eye large icon link slash" style="border-right: inherit;"></i>
                            </div>
                            <span class="help-block">#{error 'password' /}</span>
                        </div>
                        <div class="forgot-password ui icon input"><a href="" class="text-password  btn-modal-forgot">Lupa
                            Password?</a></div>
                    </div>
                    <div class="ui divider hidden"></div>
                    <button id="submit_data" class="ui button btn-blue btn-login-new" type="submit">
                        <span>Masuk</span>
                    </button>
                </form>

                <div class="sub-title text-center">
                    <div class="ui diider hidden"></div>
                    <div class="ui divider hidden"></div>
                    <div class="ui divider hidden"></div>
                    Belum punya akun? <a class="btn-modal-register" class="green-color">Daftar</a></span>
                </div>
            </div>
            <div class="nine wide column padding-zero bg-image-modal mobile hidden"
                 style="background-image: url(@{'/public/images/bg-login.svg'})">
            </div>
        </div>
    </div>
</div>

<!-- register modal -->
<div class="ui modal modal-register" id="modal_register">
    <i class="close icon"></i>
    <div class="content padding-zero">
        <div class="ui grid stackable">
            <div class="nine wide column padding-zero bg-image-modal mobile hidden"
                 style="background-image: url(@{'/public/images/bg-login.svg'})">
                <div class="text-daftar">
                    <h2>Sudah Punya Akun</h2>
                    <a class="ui button btn-blue btn-login-new btn-modal-login">
                        <span>Masuk</span>
                    </a>
                </div>
            </div>
            <div class="seven wide column center aligned" style="padding: 2rem;">
                <img src="@{'public/images/logo-monev.svg'}" class="ui tiny image centered" alt="">
                <div class="title-login">Daftar</div>
                <form id="form_daftarku" class="ui form form_daftarku" enctype="multipart/form-data">
                    <div class="alert alert-danger alert-modal hidden"
                         style="color: #bdbdbd; padding-bottom: 10px;"></div>
                    <div class="ui aligned category search #{errorClass 'email'/}">
                        <div class="ui left icon input input-login">
                            <input class="prompt  input-email-register wrapper-input-login radius-unset" type="email"
                                   name="email" placeholder="user@company.com" style="padding-left:65px !important;">
                            <i class="user large icon"></i>
                            <span class="help-block">#{error 'email' /}</span>
                        </div>
                        <div class="error-show-email"></div>
                    </div>
                    <div class="ui divider hidden"></div>
                    <i class="info circle icon green-color"></i>
                    Sistem akan mengirim email berisikan link untuk melengkapi data. Oleh karena itu, pastikan email
                    yang diisi adalah email aktif Anda.

                    <div class="ui divider hidden"></div>
                    <button class="ui button btn-blue btn-login-new" type="button" id="daftar_email">
                        <span>Daftar</span>
                    </button>
                    <div class="mobile only">
                        <div class="ui divider hidden"></div>
                        Sudah Punya akun?
                        <a class="btn-modal-login">
                            <span>Masuk</span>
                        </a>
                    </div>
                </form>

            </div>
        </div>
    </div>

</div>

<!-- /.modal admin KL-->
<div class="ui modal modal-register" id="modal_daftar_adminkl">
    <i class="close icon"></i>
    <!--            <div class="content padding-zero">-->
    <!--                <div class="ui grid">-->
    <!--                    <div class="nine wide column padding-zero">-->
    <!--                        <img src="@{'/public/images/bg-login.svg'}" class="ui image fluid" alt="">-->

    <!--                    </div>-->
    <!--                    <div class="seven wide column center aligned" style="padding: 2rem;">-->
    <!--                        <img src="@{'public/images/logo-login.svg'}" class="ui tiny image centered" alt="">-->
    <!--                        <div class="title-login f-30">Daftar Admin KL</div>-->
    <!--                        <i class="info circle icon green-color"></i>-->
    <!--                        Silahkan daftar dan lengkapi form dibawah ini.-->
    <!--                        <div class="ui divider hidden"></div>-->
    <!--                        <form id="form_daftarkl" class="ui form form_daftarkl" enctype="multipart/form-data">-->
    <!--                            #{authenticityToken /}-->
    <!--                            <input type="hidden" name="model.action" value="update" >-->
    <!--                            <input type="hidden" name="model.id" value="${user?.id}" >-->
    <!--                            <div class="alert alert-danger alert-modal hidden" style="color: #bdbdbd; padding-bottom: 10px;"> </div>-->
    <!--                            <div class="field" #{errorClass 'uploadfile'/}">-->
    <!--                                <input type="file"  required name="model.uploadfile"  id="uploadfile" class="input-kl uploadfile" >-->
    <!--                                <span class="help-block"><strong>#{error 'model.upload_file' /}</strong></span>-->
    <!--                            </div>-->
    <!--                            <div class="field #{errorClass 'kldi_id'/}">-->
    <!--                                <select class=" input-kl"  id="kldi_id" name="model.kldi_id" required>-->
    <!--                                    <option value="">Pilih salah satu K/L/P/D</option>-->
        <!--                                    #{list daftarkl, as: 'daftar'}-->
    <!--                                    <option value="${daftar.id}">${daftar.nama_instansi}</option>-->
        <!--                                    #{/list}-->
    <!--                                </select>-->
    <!--                                <span class="help-block"><strong>#{error 'model.kldi_id' /}</strong></span>-->
    <!--                            </div>-->
    <!--                            <button class="ui button btn-blue btn-login-new" type="button" id="button_daftarkl">-->
    <!--                                <span>Daftar</span>-->
    <!--                            </button>-->
    <!--                        </form>-->

    <!--                    </div>-->
    <!--                </div>-->
    <!--            </div>-->
    <div class="content padding-zero">
        <div class="ui grid stackable">
            <div class="nine wide column padding-zero bg-image-modal mobile hidden"
                 style="background-image: url(@{'/public/images/bg-login.svg'})">
            </div>
            <div class="seven wide column center aligned" style="padding: 2rem;">
                <img src="@{'public/images/logo-monev.svg'}" class="ui tiny image centered" alt="">
                <div class="title-login f-30">Daftar Admin KL</div>
                <i class="info circle icon green-color"></i>
                Silahkan daftar menjadi admin K/L dengan melengkapi form di bawah ini
                <div class="ui divider hidden"></div>

                <div class="alert alert-danger alert-modal hidden" style="padding-bottom: 10px;"></div>
                <form id="form_daftarkl" class="ui form form_daftarkl" enctype="multipart/form-data">
                #{authenticityToken /}
                    <input type="hidden" name="model.action" value="update">
                    <input type="hidden" name="model.id" value="${user?.id}">
                    <div class="field #{errorClass 'uploadfile'/} form-group has-feedback">
                        <input type="file" required name="model.uploadfile" id="uploadfile"
                               class="col form-control uploadfile input-kl"
                               placeholder="Silahkan pilih file yang akan diupload">
                        <span class="form-control-feedback"></span>
                        <span class="help-block"><strong>#{error 'model.upload_file' /}</strong></span>
                    </div>
                    <div class="field #{errorClass 'kldi_id'/} form-group has-feedback" style="text-align: left">
                        <select class="col form-control ui dropdown input-kl" id="kldi_id" name="model.kldi_id"
                                data-init-plugin="select2" required style="width: 100%">
                            <option value="">Pilih salah satu K/L/P/D</option>
                        #{list daftarkl, as: 'daftar'}
                            <option value="${daftar.id}">${daftar.nama_instansi}</option>
                        #{/list}
                        </select>
                        <span class="form-control-feedback"></span>
                        <span class="help-block"><strong>#{error 'model.kldi_id' /}</strong></span>
                    </div>
                    <div class="ui divider hidden"></div>
                    <div class="ui divider hidden"></div>
                    <button class="ui button btn-blue" type="button" id="button_daftarkl">Daftar</button>
                </form>

            </div>
        </div>
    </div>
</div>

<!-- forgot password modal -->
<div class="ui modal modal-register" id="modal_forgot">
    <i class="close icon"></i>
    <div class="content padding-zero">
        <div class="ui grid stackable">
            <div class="nine wide column padding-zero bg-image-modal mobile hidden"
                 style="background-image: url(@{'/public/images/bg-login.svg'})">
                <div class="text-daftar">
                    <h2>Sudah Punya Akun</h2>
                    <a class="ui button btn-blue btn-login-new btn-modal-login">
                        <span>Masuk</span>
                    </a>
                </div>
            </div>
            <div class="seven wide column center aligned" style="padding: 2rem;">
                <img src="@{'public/images/logo-monev.svg'}" class="ui tiny image centered" alt="">
                <div class="title-login" style="font-size: 31px;">Lupa Password</div>
                <form id="form_forgot" class="ui form form_forgot" enctype="multipart/form-data">
                    <div class="alert alert-modal hidden" style="color: #bdbdbd; padding-bottom: 10px;"></div>
                    <div class="ui aligned category search #{errorClass 'email'/}">
                        <div class="ui left icon input input-login">
                            <input class="prompt input-email-forgot wrapper-input-login radius-unset" type="email"
                                   name="email" placeholder="user@company.com" style="padding-left:65px !important;">
                            <i class="user large icon"></i>
                            <span class="help-block">#{error 'email' /}</span>
                        </div>
                        <div class="error-show-forgot"></div>
                    </div>
                    <div class="ui divider hidden"></div>
                    <i class="info circle icon green-color"></i>
                    Sistem akan mengirim email berisikan link untuk mereset password. Oleh karena itu, pastikan email
                    yang diisi adalah email akun Anda.
                    <div class="mobile only">
                        <div class="ui divider hidden"></div>
                        Sudah Punya akun?
                        <a class="btn-modal-login">
                            <span>Masuk</span>
                        </a>
                    </div>
                    <div class="ui divider hidden"></div>
                    <button class="ui button btn-blue btn-login-new" type="button" id="forgot_email">
                        <span>Kirim</span>
                    </button>
                </form>

            </div>
        </div>
    </div>
</div>
#{set 'authStyles'}
<style>
    .select2-selection__rendered {
        line-height: 44px !important;
    }

    .select2-container .select2-selection--single {
        height: 44px !important;
    }

    .select2-selection__arrow {
        height: 34px !important;
    }

    .help-block {
        color: #FF0000;
        float: left;
    }

    .has-error .form-control {
        border: 1px solid red !important;
    }

    .select2-selection.select2-selection--single.has-error {
        border: 1px solid red !important;
    }

</style>
<link rel="stylesheet" href="@{'/public/assets/plugins/select2/css/select2.min.css'}"/>
#{/set}
#{set 'authScripts'}
<script type="text/javascript" src="@{'/public/assets/plugins/select2/js/select2.full.min.js'}"></script>
<script type="text/javascript">

    $('body').on('hidden.bs.modal', '.modal', function () {
        $(this).removeData('bs.modal');
    });

    function blockPageUI() {
        $.blockUI({
            message: '<img src="@{'public/images/busy2.gif'}" width="50" height="50" /> Please Wait ....',
            baseZ: 2000,
            css: {backgroundColor: '#00000000', color: '#fff', border: "0px", fontSize: '40px'}
        });
    }

    function unblockPageUI() {
        $.unblockUI();
    }

    function blockContent() {
        $("#loader").fadeOut("slow");
        //$('section.content-articel').block({ message: '<img src="@{'public/images/busy2.gif'}" width="50" height="50" /> Please Wait ....', baseZ: 2000 ,css: { backgroundColor: '#00000000', color: '#fff', border: "0px", fontSize:'40px'}});
    }

    function unblockContent() {
        $("#loader").remove();
    }

    // When the user clicks on the button, scroll to the top of the document
    function topFunction() {
        document.body.scrollTop = 0;
        document.documentElement.scrollTop = 0;
    }

    $(document).ready(function () {
        $("#kldi_id").select2({
            dropdownParent: $("#modal_daftar_adminkl")
        });
        $(".bars-menu").click(function () {
            $('.ui.sidebar').sidebar('toggle');
        });
        $(".toggle-hide").click(function () {
            $(this).toggleClass("deactive");
            $(".wrapper-toggle").toggle();
        });
        //Get the button
        var mybutton = document.getElementById("scrollBtn");

        // When the user scrolls down 20px from the top of the document, show the button
        window.onscroll = function () {
            scrollFunction()
        };

        function scrollFunction() {
            if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
                mybutton.style.display = "block";
            } else {
                mybutton.style.display = "none";
            }
        }


    });
    AOS.init({
        duration: 1500
    });

    $(function () {
        $(".btn-modal-login").click(function (e) {
            e.preventDefault();
            $('.alert-modal').html("").addClass("hidden");
            $('#modal_login')
                    .modal({
                        blurring: true,
                        observeChanges: true,
                        transition: 'zoom',
                        onVisible: function (callback) {
                            callback = $.isFunction(callback) ? callback : function () {
                            };
                            $(document).on('click', "button#submit_data", function (e) {
                                e.preventDefault();
                                $('#form_loginku').validate({
                                            errorElement: 'span',
                                            errorClass: 'help-block',
                                            focusInvalid: false,
                                            errorPlacement: function (error, element) {
                                                error.insertAfter($(element).parent().next());
                                                //   error.appendTo('.error-email-login');
                                            },
                                            // highlight: function (element) {
                                            // $(element).closest('.form-group').addClass('has-error');
                                            // },
                                            success: function (label) {
                                                label.closest('.form-group').removeClass('has-error');
                                                label.remove();
                                            },
                                        }
                                );
                                if ($('form.form_loginku').valid()) {
                                    $('.alert-modal').addClass('hidden')
                                    $.ajax({
                                        xhr: function () {
                                            var browser = navigator.appName;
                                            if (browser == "Microsoft Internet Explorer") {
                                                var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                                            } else {
                                                var xhr = new window.XMLHttpRequest();
                                            }
                                            xhr.upload.addEventListener("progress", function (evt) {
                                                if (evt.lengthComputable) {
                                                    var percentComplete = (evt.loaded / evt.total) * 100;
                                                }
                                            }, false);
                                            return xhr;
                                        },
                                        async: true,
                                        type: "POST",
                                        cache: false,
                                        contentType: false,
                                        processData: false,
                                        url: "#{url route.user_management_authcontroller_store /}",
                                        data: new FormData($('#form_loginku')[0]),
                                        beforeSend: function () {
                                            setTimeout(blockPageUI(),100);
                                            $('.blockUI').css("filter", "none")
                                                    .css("-webkit-filter", "none");
                                        },
                                        success: function (result) {
                                            if (result.status) {
                                                $('#modal_login').modal('hide');
                                                $('#modal_login').on('hidden.bs.modal', function () {
                                                    $(this).find('form')[0].reset();
                                                    $(this).data('bs.modal', null);
                                                });
                                                setTimeout(function () {
                                                    window.location.href = result.payload
                                                }, 500);
                                            } else {
                                                $('.alert-modal')
                                                        .addClass('alert-danger')
                                                        .removeClass('hidden')
                                                        .html(result.message)
                                            }
                                        },
                                        complete: function () {
                                            unblockPageUI();
                                        },
                                        error: function () {
                                            unblockPageUI();
                                            $('.alert-modal')
                                                    .addClass('alert-danger')
                                                    .removeClass('alert-success')
                                                    .removeClass('hidden').html('&{translation.general_error}');
                                        }
                                    });
                                } else {
                                    //masukkan jika isian kurang
                                }
                            });
                        },
                        onApprove: function () {
                        }
                    }).modal('show');
        });
    });

    $('.user-dropdown').dropdown({
        transition: 'drop',
        direction: 'downward'
    });

    function registerUser() {
        $('#form_daftarku').validate({
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: false,
            errorPlacement: function (error, element) {
                error.insertAfter($(element).parent().next());
                //   error.appendTo('.error-email-login');
            },
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
        });
        if ($('form.form_daftarku').valid()) {
            $('.alert-modal').addClass('hidden');

            $.ajax({
                xhr: function () {
                    var browser = navigator.appName;
                    if (browser == "Microsoft Internet Explorer") {
                        var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                    } else {
                        var xhr = new window.XMLHttpRequest();
                    }
                    xhr.upload.addEventListener("progress", function (evt) {
                        if (evt.lengthComputable) {
                            var percentComplete = (evt.loaded / evt.total) * 100;
                        }
                    }, false);
                    return xhr;
                },
                async: true,
                type: "POST",
                cache: false,
                contentType: false,
                processData: false,
                data: new FormData($('#form_daftarku')[0]),
                url: "#{url route.user_management_registrationcontroller_registeruser /}",
                beforeSend: function () {
                    setTimeout(blockPageUI(),100);
                    $('.blockUI').css("filter", "none")
                            .css("-webkit-filter", "none");
                },
                success: function (result) {
                    $('#email').val("");
                    if (result.status) {
                        $('.alert-modal')
                                .addClass('alert-success')
                                .removeClass('alert-danger')
                                .removeClass('hidden').html(result.message);
                    } else {
                        $('.alert-modal')
                                .addClass('alert-danger')
                                .removeClass('alert-success')
                                .removeClass('hidden').html(result.message);
                    }
                },
                complete: function () {
                    unblockPageUI();
                },
                error: function () {
                    unblockPageUI();
                    $('.alert-modal')
                            .addClass('alert-danger')
                            .removeClass('alert-success')
                            .removeClass('hidden').html('&{translation.general_error}');
                }
            });
        }
    }

    $(function () {
        $(".btn-modal-register").click(function (e) {
            e.preventDefault();
            $('.alert-modal').html("").addClass("hidden");
            $('#modal_register')
                    .modal({
                        blurring: true,
                        observeChanges: true,
                        transition: 'zoom',
                        onVisible: function (callback) {
                            callback = $.isFunction(callback) ? callback : function () {
                            };
                            $(".input-email-register").keydown(function (e) {
                                if (e.keyCode == 13) {
                                    e.preventDefault();
                                    registerUser();
                                }
                            });
                            $(document).on('click', "button#daftar_email", function (e) {
                                e.preventDefault();
                                registerUser();
                            });
                        },
                        onApprove: function () {
                        }
                    }).modal('show');
        });
    });

    var documentExtensions = ["pdf"];
    var acceptDocuments = generateAccept(documentExtensions);

    function generateAccept(arr) {
        var accept = ''
        var glue = ''
        for (let item of arr) {
            accept += glue + '.' + item
            glue = ', '
        }
        return accept
    }

    function validDocument(extension) {
        return documentExtensions.includes(extension)
    }

    $(function () {
        $('#uploadfile').on('change', function () {
            var docs = $('#uploadfile')[0].files[0];
            let ext = docs.name.split('.').pop();
            if (validDocument(ext)) {
                if (docs.size < 5242880) {
                    $(this).valid();
                } else {
                    alert("Ukuran file yang dapat diunggah adalah " +
                            "tidak lebih dari 5 MB ");
                    document.getElementById('uploadfile').value = '';
                }
            } else {
                alert("File ekstensi yang didukung untuk diunggah adalah pdf");
                document.getElementById('uploadfile').value = '';
            }
        });
    });

    $("select").on("select2:close", function (e) {
        $(this).valid();
    });

    $(".btn-modal-daftarkl").click(function (e) {
        e.preventDefault();
        $("#uploadfile").prop('accept', acceptDocuments);
        $('.alert-modal').html("").addClass("hidden");
        $('#modal_daftar_adminkl')
                .modal({
                    blurring: true,
                    observeChanges: true,
                    transition: 'zoom',
                    onVisible: function (callback) {
                        $(document).on('click', "button#button_daftarkl", function (e) {
                            e.preventDefault();
                            $('.alert-modal').empty();
                            $('form.form_daftarkl').validate({
                                ignore: [],
                                rules: {
                                    'model.kldi_id': 'required',
                                    'model.uploadfile': 'required'
                                },
                                messages: {
                                    'model.kldi_id': 'Daftar K/L/P/D belum dipilih',
                                    'model.uploadfile': 'Upload file belum dipilih'
                                },
                                errorElement: 'span',
                                errorClass: 'help-block',
                                focusInvalid: false,
                                errorPlacement: function (error, element) {
                                    if ($(element).is("#kldi_id")) {
                                        element = $("span.select2.select2-container");
                                        error.insertAfter(element);
                                    } else {
                                        error.insertAfter(element);
                                    }
                                },
                                highlight: function (element) {
                                    if ($(element).is("#kldi_id")) {
                                        element2 = $("span.select2-selection.select2-selection--single");
                                        element2.addClass('has-error');
                                    } else {
                                        $(element).closest('.form-group').addClass('has-error');
                                    }
                                },
                                success: function (label, element) {
                                    label.closest('.form-group').removeClass('has-error');
                                    label.remove();
                                    var elem = $(element);
                                    if (elem.hasClass("select2-hidden-accessible")) {
                                        element2 = $("#select2-" + elem.attr("id") + "-container").parent();
                                        element2.removeClass('has-error');
                                    }
                                },
                            });
                            if ($('form.form_daftarkl').valid()) {
                                $('.alert-modal').addClass('hidden');
                                $.ajax({
                                    xhr: function () {
                                        var browser = navigator.appName;
                                        if (browser == "Microsoft Internet Explorer") {
                                            var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                                        } else {
                                            var xhr = new window.XMLHttpRequest();
                                        }
                                        xhr.upload.addEventListener("progress", function (evt) {
                                            if (evt.lengthComputable) {
                                                var percentComplete = (evt.loaded / evt.total) * 100;
                                            }
                                        }, false);
                                        return xhr;
                                    },
                                    async: true,
                                    type: "POST",
                                    cache: false,
                                    contentType: false,
                                    processData: false,
                                    url: "#{url route.user_management_userapicontroller_createadminform /}",
                                    data: new FormData($('#form_daftarkl')[0]),
                                    beforeSend: function () {
                                        setTimeout(blockPageUI(),100);
                                        $('.blockUI').css("filter", "none")
                                                .css("-webkit-filter", "none");
                                    },
                                    success: function (result) {
                                        if (result.status) {
                                            $('#kldi_id').val(null).trigger("change");
                                            $('#uploadfile').val("");
                                            $('.alert-modal').removeClass('hidden')
                                                    .removeClass('alert-danger')
                                                    .addClass('alert-success')
                                                    .html(result.message);
                                            //setTimeout(function(){window.location.href = result.payload}, 500);
                                        } else {
                                            $('#kldi_id').val(null).trigger("change");
                                            $('#uploadfile').val("");
                                            $('.alert-modal')
                                                    .addClass('alert-danger')
                                                    .removeClass('alert-success')
                                                    .removeClass('hidden').html(result.message);
                                        }
                                    },
                                    complete: function () {
                                        unblockPageUI();
                                    },
                                    error: function () {
                                        unblockPageUI();
                                        $('.alert-modal')
                                                .addClass('alert-danger')
                                                .removeClass('alert-success')
                                                .removeClass('hidden').html('&{translation.general_error}');
                                    }
                                });
                            } else {
                                return;
                            }
                        });
                    },
                    onApprove: function () {
                    },
                    onHide: function () {
                        $('#kldi_id').val(null).trigger("change");
                        $('#uploadfile').val("");
                        $('#form_daftarkl').validate().resetForm();
                        $('#form_daftarkl').find('.has-error').removeClass('has-error');
                    }
                }).modal('show');
    });


    function forgotPassword() {
        $('#form_forgot').validate({
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: false,
            errorPlacement: function (error, element) {
                error.insertAfter($(element).parent().next());
                //   error.appendTo('.error-email-login');
            },
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
        });
        if ($('form.form_forgot').valid()) {
            $('.alert-modal').addClass('hidden');
            $.ajax({
                xhr: function () {
                    var browser = navigator.appName;
                    if (browser == "Microsoft Internet Explorer") {
                        var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                    } else {
                        var xhr = new window.XMLHttpRequest();
                    }
                    xhr.upload.addEventListener("progress", function (evt) {
                        if (evt.lengthComputable) {
                            var percentComplete = (evt.loaded / evt.total) * 100;
                        }
                    }, false);
                    return xhr;
                },
                async: true,
                type: "POST",
                cache: false,
                contentType: false,
                processData: false,
                data: new FormData($('#form_forgot')[0]),
                url: "#{url route.user_management_authcontroller_forgot /}",
                beforeSend: function () {
                    setTimeout(blockPageUI(),100);
                    $('.blockUI').css("filter", "none")
                            .css("-webkit-filter", "none");
                },
                success: function (result) {
                    $('#email').val("");
                    if (result.status) {
                        $('.alert-modal')
                                .addClass('alert-success')
                                .removeClass('alert-danger')
                                .removeClass('hidden').html(result.message);
                    } else {
                        $('.alert-modal')
                                .addClass('alert-danger')
                                .removeClass('alert-success')
                                .removeClass('hidden').html(result.message);
                    }
                },
                complete: function () {
                    unblockPageUI();
                },
                error: function () {
                    unblockPageUI();
                    $('.alert-modal')
                            .addClass('alert-danger')
                            .removeClass('alert-success')
                            .removeClass('hidden').html('&{translation.general_error}');
                }
            });
        }
    }

    $(function () {
        $(".btn-modal-forgot").click(function (e) {
            e.preventDefault();
            $('.alert-modal').html("").addClass("hidden");
            $('#modal_forgot')
                    .modal({
                        blurring: true,
                        observeChanges: true,
                        transition: 'zoom',
                        onVisible: function (callback) {
                            callback = $.isFunction(callback) ? callback : function () {
                            };
                            $(".input-email-forgot").keydown(function (e) {
                                if (e.keyCode == 13) {
                                    e.preventDefault();
                                    forgotPassword();
                                }
                            });
                            $(document).on('click', "button#forgot_email", function (e) {
                                e.preventDefault();
                                forgotPassword();
                            });
                        },
                        onApprove: function () {
                        }
                    }).modal('show');
        });
    });

    function showPassword(input) {
        $("input[name='" + input + "']").attr("type", "text");
    }

    function hidePassword(input) {
        $("input[name='" + input + "']").attr("type", "password");
    }

    $('i.password.eye.icon.link').click(function () {
        let slash = $(this).hasClass("slash");
        if (slash) {
            $(this).removeClass("slash");
            showPassword("password");
        } else {
            $(this).addClass("slash");
            hidePassword("password");
        }
    });
</script>
#{/set}
